Projects

List effective members of a project

GET
/api/projects/{projectId}/members

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
members*array<>
total*integer
Range0 <= value
Example Request
curl -X GET 'https://postbot.example/api/projects/string/members'
Example Response
{
  "members": [
    {
      "id": "string",
      "projectId": "string",
      "userId": "string",
      "email": "string",
      "name": "string",
      "image": "string",
      "role": "owner",
      "state": "active",
      "createdAt": 0,
      "updatedAt": 0
    }
  ],
  "total": 0
}

Was this page helpful?